Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.toolkit
Class CursorFactory

    java.lang.Object
      jpicedt.graphic.toolkit.CursorFactory

public class CursorFactory
extends Object

A factory for custom cursors.

Since:
  jPicEdt 1.3.1
Version:
  $Id: CursorFactory.java,v 1.5.2.1 2007/09/02 11:56:28 reynal Exp $
Author:
  Sylvain Reynal

Field Summary
`static int` | `ADD_ENDPT`
`static int` | `DRAW`
`static int` | `E_RESIZE`
`static int` | `INVALID`
`static int` | `MOVE`
`static int` | `MOVE_ENDPT`
`static int` | `MOVE_ENDPT_FROM_CENTER`
`static int` | `N_RESIZE`
`static int` | `NE_RESIZE`
`static int` | `NW_RESIZE`
`static int` | `REMOVE_ENDPT`
`static int` | `S_RESIZE`
`static int` | `SE_RESIZE`
`static int` | `SELECT`
`static int` | `SW_RESIZE`
`static int` | `W_RESIZE`
`static int` | `ZOOM_IN`
`static int` | `ZOOM_OUT`

Constructor Summary
`CursorFactory()`

Method Summary
`Cursor` | `getPECursor(int type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SELECT

    public static final int SELECT

See Also:
  Constant Field Values

### DRAW

    public static final int DRAW

See Also:
  Constant Field Values

### MOVE

    public static final int MOVE

See Also:
  Constant Field Values

### N_RESIZE

    public static final int N_RESIZE

See Also:
  Constant Field Values

### E_RESIZE

    public static final int E_RESIZE

See Also:
  Constant Field Values

### S_RESIZE

    public static final int S_RESIZE

See Also:
  Constant Field Values

### W_RESIZE

    public static final int W_RESIZE

See Also:
  Constant Field Values

### NE_RESIZE

    public static final int NE_RESIZE

See Also:
  Constant Field Values

### NW_RESIZE

    public static final int NW_RESIZE

See Also:
  Constant Field Values

### SE_RESIZE

    public static final int SE_RESIZE

See Also:
  Constant Field Values

### SW_RESIZE

    public static final int SW_RESIZE

See Also:
  Constant Field Values

### ZOOM_IN

    public static final int ZOOM_IN

See Also:
  Constant Field Values

### ZOOM_OUT

    public static final int ZOOM_OUT

See Also:
  Constant Field Values

### MOVE_ENDPT

    public static final int MOVE_ENDPT

See Also:
  Constant Field Values

### REMOVE_ENDPT

    public static final int REMOVE_ENDPT

See Also:
  Constant Field Values

### ADD_ENDPT

    public static final int ADD_ENDPT

See Also:
  Constant Field Values

### INVALID

    public static final int INVALID

See Also:
  Constant Field Values

### MOVE_ENDPT_FROM_CENTER

    public static final int MOVE_ENDPT_FROM_CENTER

See Also:
  Constant Field Values

Constructor Detail

### CursorFactory

    public CursorFactory()

Method Detail

### getPECursor

    public Cursor getPECursor(int type)

  Parameters:
    `type` - if type relates to a custom cursor, the cursor is cached the first time.
  Returns:
    a custom cursor from the given type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org